Get the Metadata of a Specific Column
Description
This API enables you to retrieve the metadata of a specific column in a table in the Data Store. The table is referred by its unique ID or name, and the column is referred by the column ID.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/column/{column_id}
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.tables.columns.READ
Response Details
The response will return the metadata of the specific column such as its column_id, column_name, and data_type.
curl -X GET
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/column/4000000042018
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
{
"status": "success",
"data": {
"table_id": 56000000118,
"column_sequence": 3,
"column_id": 4000000042018,
"column_name": "Department",
"category": 2,
"data_type": "text",
"is_read_only": false,
"max_length": 100,
"is_mandatory": true,
"default_value": "Admin",
"is_unique": false,
"search_index_enabled": false
}
}
Yes
No
Send your feedback to us